VERSION 5.00
Object = "{1C0489F8-9EFD-423D-887A-315387F18C8F}#1.0#0"; "vsFlex8l.ocx"
Begin VB.Form frmTest 
   Caption         =   "VS FlexGrid Test"
   ClientHeight    =   6480
   ClientLeft      =   60
   ClientTop       =   510
   ClientWidth     =   7860
   Icon            =   "VSFGTest.frx":0000
   LinkTopic       =   "Form1"
   ScaleHeight     =   6480
   ScaleWidth      =   7860
   StartUpPosition =   3  'Windows Default
   Begin VB.TextBox txtIterations 
      Height          =   285
      Left            =   1200
      TabIndex        =   3
      Text            =   "10"
      Top             =   6050
      Width           =   1215
   End
   Begin VB.CommandButton cmdGo 
      Appearance      =   0  'Flat
      Caption         =   "&Go"
      Height          =   375
      Left            =   2880
      TabIndex        =   1
      Top             =   6000
      Width           =   735
   End
   Begin VSFlex8LCtl.VSFlexGrid grdTest 
      Height          =   5655
      Left            =   0
      TabIndex        =   0
      Top             =   240
      Width           =   7815
      _cx             =   1963800025
      _cy             =   1963796215
      Appearance      =   1
      BorderStyle     =   1
      Enabled         =   -1  'True
      BeginProperty Font {0BE35203-8F91-11CE-9DE3-00AA004BB851} 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      MousePointer    =   0
      BackColor       =   -2147483643
      ForeColor       =   -2147483640
      BackColorFixed  =   -2147483633
      ForeColorFixed  =   -2147483630
      BackColorSel    =   -2147483635
      ForeColorSel    =   -2147483634
      BackColorBkg    =   8421504
      BackColorAlternate=   -2147483643
      GridColor       =   -2147483633
      GridColorFixed  =   -2147483632
      TreeColor       =   -2147483632
      FloodColor      =   192
      SheetBorder     =   -2147483642
      FocusRect       =   1
      HighLight       =   1
      AllowSelection  =   -1  'True
      AllowBigSelection=   -1  'True
      AllowUserResizing=   0
      SelectionMode   =   0
      GridLines       =   1
      GridLinesFixed  =   2
      GridLineWidth   =   1
      Rows            =   500
      Cols            =   10
      FixedRows       =   0
      FixedCols       =   0
      RowHeightMin    =   0
      RowHeightMax    =   0
      ColWidthMin     =   0
      ColWidthMax     =   0
      ExtendLastCol   =   -1  'True
      FormatString    =   ""
      ScrollTrack     =   0   'False
      ScrollBars      =   3
      ScrollTips      =   0   'False
      MergeCells      =   0
      MergeCompare    =   0
      AutoResize      =   -1  'True
      AutoSizeMode    =   0
      AutoSearch      =   0
      AutoSearchDelay =   2
      MultiTotals     =   -1  'True
      SubtotalPosition=   1
      OutlineBar      =   0
      OutlineCol      =   0
      Ellipsis        =   0
      ExplorerBar     =   0
      PicturesOver    =   0   'False
      FillStyle       =   0
      RightToLeft     =   0   'False
      PictureType     =   0
      TabBehavior     =   0
      OwnerDraw       =   0
      Editable        =   0
      ShowComboButton =   1
      WordWrap        =   0   'False
      TextStyle       =   0
      TextStyleFixed  =   0
      OleDragMode     =   0
      OleDropMode     =   0
      ComboSearch     =   3
      AutoSizeMouse   =   -1  'True
      FrozenRows      =   0
      FrozenCols      =   0
      AllowUserFreezing=   0
      BackColorFrozen =   0
      ForeColorFrozen =   0
      WallPaperAlignment=   9
      AccessibleName  =   ""
      AccessibleDescription=   ""
      AccessibleValue =   ""
      AccessibleRole  =   24
   End
   Begin VB.Label lblIterations 
      Caption         =   "Iterations:"
      Height          =   255
      Left            =   240
      TabIndex        =   4
      Top             =   6060
      Width           =   735
   End
   Begin VB.Label lblTime 
      Caption         =   "Execution time (seconds):"
      BeginProperty Font 
         Name            =   "Arial"
         Size            =   9.75
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   255
      Left            =   3960
      TabIndex        =   2
      Top             =   6045
      Width           =   3735
   End
End
Attribute VB_Name = "frmTest"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private Sub cmdGo_Click()
    DoTest
End Sub

Private Sub Form_Load()

    Dim iRow  As Integer
    Dim iCol As Integer
    Dim sCellText As String
    sCellText = "Multiline Cell Text" & vbCrLf & _
                 "Multiline Cell Text" & vbCrLf & _
                 "Multiline Cell Text" & vbCrLf & _
                 "Multiline Cell Text" & vbCrLf & _
                 "Multiline Cell Text" & vbCrLf
    With grdTest
        .Editable = flexEDNone
        .WordWrap = True
        For iRow = 0 To .Rows - 1
            .TextMatrix(iRow, 0) = Format(iRow + 1)
            For iCol = 1 To .Cols - 1
                .TextMatrix(iRow, iCol) = sCellText
            Next
        Next
    End With
  
End Sub

Private Sub DoTest()
    
    Dim dblStart As Double
    Dim dblEnd As Double
    Dim iRow As Integer
    Dim iIteration As Integer
    Dim iIterations As Integer
    
    iIterations = Val(txtIterations.Text)
    If iIterations < 1 Then
        iIterations = 1
        txtIterations.Text = CStr(iIterations)
    End If
    
    dblStart = Timer
    For iIteration = 1 To iIterations
        With grdTest
            ' Disable grid redraw
            .Redraw = flexRDNone
                .AutoSizeMode = flexAutoSizeRowHeight
                .AutoSize 0, .Cols - 1
            .Redraw = flexRDDirect
        End With
    Next
    dblEnd = Timer
    lblTime.Caption = "Execution time (seconds): " & Format(dblEnd - dblStart, "0.#")
    
End Sub
